Skip to main content
POST
Create Memory

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization_id
string
required

Body

application/json

Create memory model.

type
enum<string>
required

Types of memories that can be extracted.

Available options:
procedural,
factual,
contextual
content
string
required

Memory content as markdown text that you want Humm to store.

quality_score
number
required

Confidence score from 0.0 to 1.0 indicating how trustworthy this memory is.

Required range: 0 <= x <= 1
Example:

0.9

thread_id
string<uuid>
required

Thread UUID where this memory was observed or extracted.

Example:

"33333333-3333-3333-3333-333333333333"

organization_id
string<uuid>
required

Organization UUID for the tenant that owns this memory. For POST /memories, this must also match the organization_id query parameter.

Example:

"22222222-2222-2222-2222-222222222222"

user_id
string<uuid>
required

User UUID associated with the source thread or memory author.

Example:

"44444444-4444-4444-4444-444444444444"

scope
enum<string>
default:organization

Scope of memory applicability.

Available options:
organization,
user
status
enum<string>
default:pending_review

Memory review status.

Available options:
pending_review,
approved,
rejected
extraction_reasoning
string
default:""

Reasoning for extraction

tags
string[]

Optional tags

reviewed_at
string<date-time> | null
reviewed_by
string<uuid> | null
embedding
number[] | null

Vector embedding (1536 dimensions)

objective_embedding
number[] | null

Objective-only vector embedding (1536 dimensions)

Response

Successful Response

Response model for memory.

type
enum<string>
required

Types of memories that can be extracted.

Available options:
procedural,
factual,
contextual
content
string
required

Memory content as markdown text that you want Humm to store.

quality_score
number
required

Confidence score from 0.0 to 1.0 indicating how trustworthy this memory is.

Required range: 0 <= x <= 1
thread_id
string<uuid>
required

Thread UUID where this memory was observed or extracted.

organization_id
string<uuid>
required

Organization UUID for the tenant that owns this memory. For POST /memories, this must also match the organization_id query parameter.

user_id
string<uuid>
required

User UUID associated with the source thread or memory author.

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
scope
enum<string>
default:organization

Scope of memory applicability.

Available options:
organization,
user
status
enum<string>
default:pending_review

Memory review status.

Available options:
pending_review,
approved,
rejected
extraction_reasoning
string
default:""

Reasoning for extraction

tags
string[]

Optional tags

reviewed_at
string<date-time> | null
reviewed_by
string<uuid> | null